package com.ruoyi.interfaces.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.interfaces.mapper.PtServiceReturnMapper;
import com.ruoyi.interfaces.domain.PtServiceReturn;
import com.ruoyi.interfaces.service.IPtServiceReturnService;

/**
 * 返回数据Service业务层处理
 * 
 * @author 朱得糠
 * @date 2025-08-29
 */
@Service
public class PtServiceReturnServiceImpl implements IPtServiceReturnService 
{
    @Autowired
    private PtServiceReturnMapper ptServiceReturnMapper;

    /**
     * 查询返回数据
     * 
     * @param ID 返回数据主键
     * @return 返回数据
     */
    @Override
    public PtServiceReturn selectPtServiceReturnByID(Long ID)
    {
        return ptServiceReturnMapper.selectPtServiceReturnByID(ID);
    }

    /**
     * 查询返回数据列表
     * 
     * @param ptServiceReturn 返回数据
     * @return 返回数据
     */
    @Override
    public List<PtServiceReturn> selectPtServiceReturnList(PtServiceReturn ptServiceReturn)
    {
        return ptServiceReturnMapper.selectPtServiceReturnList(ptServiceReturn);
    }

    /**
     * 新增返回数据
     * 
     * @param ptServiceReturn 返回数据
     * @return 结果
     */
    @Override
    public int insertPtServiceReturn(PtServiceReturn ptServiceReturn)
    {
        return ptServiceReturnMapper.insertPtServiceReturn(ptServiceReturn);
    }

    /**
     * 修改返回数据
     * 
     * @param ptServiceReturn 返回数据
     * @return 结果
     */
    @Override
    public int updatePtServiceReturn(PtServiceReturn ptServiceReturn)
    {
        return ptServiceReturnMapper.updatePtServiceReturn(ptServiceReturn);
    }

    /**
     * 批量删除返回数据
     * 
     * @param IDs 需要删除的返回数据主键
     * @return 结果
     */
    @Override
    public int deletePtServiceReturnByIDs(Long[] IDs)
    {
        return ptServiceReturnMapper.deletePtServiceReturnByIDs(IDs);
    }

    /**
     * 删除返回数据信息
     * 
     * @param ID 返回数据主键
     * @return 结果
     */
    @Override
    public int deletePtServiceReturnByID(Long ID)
    {
        return ptServiceReturnMapper.deletePtServiceReturnByID(ID);
    }

    @Override
    public List<PtServiceReturn> selectPtServiceReturnBySrvId(String srvId) {
        PtServiceReturn ptServiceReturn = new PtServiceReturn();
        ptServiceReturn.setSrvId(srvId);
        return ptServiceReturnMapper.selectPtServiceReturnList(ptServiceReturn);
    }

    @Override
    public int deletePtServiceReturnBySrvID(String srvId) {

        return ptServiceReturnMapper.deletePtServiceReturnBySrvID(srvId);
    }
}
